com.sun.jna.platform.win32

## Class PdhUtil.PdhEnumObjectItems

- java.lang.Object
- - com.sun.jna.platform.win32.PdhUtil.PdhEnumObjectItems

- Enclosing class:
    PdhUtil

      public static class PdhUtil.PdhEnumObjectItems
      extends java.lang.Object

  Holder Object for PdhEnumObjectsItems. The embedded lists are modifiable lists and can be accessed through the `getCounters()` and `getInstances()` accessors.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdhEnumObjectItems(java.util.List<java.lang.String> counters, java.util.List<java.lang.String> instances)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getCounters()`
    `java.util.List<java.lang.String>` | `getInstances()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PdhEnumObjectItems

          public PdhEnumObjectItems(java.util.List<java.lang.String> counters,
                                    java.util.List<java.lang.String> instances)

  - ### Method Detail

    - #### getCounters

          public java.util.List<java.lang.String> getCounters()

      Returns:
        the embedded counters list, all calls to this function receive the same list and thus share modifications

    - #### getInstances

          public java.util.List<java.lang.String> getInstances()

      Returns:
        the embedded instances list, all calls to this function receive the same list and thus share modifications

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.